<?php
namespace OrganizationsManagement\Service;

use Doctrine\ORM\EntityManager;
use OrganizationsManagement\Util\InstanceProvider;
use OrganizationsManagement\Repository\ConsultaOperadorSAAS as ConsultaOperadorSAASRepository;
use OrganizationsManagement\Util\Utilities;
use Zeedhi\Framework\Remote\FileUploader\Server;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\Remote\HttpInterface;

class ConsultaOperadorSAAS {
     /**
     * @var EntityManager
     */
    private $entityManager;
    /**
     * @var ConsultaOperadorSAASRepository
     */
    private $consultaOperadorSAASRepository;

    /**
     * ConsultaOperadorSAAS constructor.
     * @param EntityManager $entityManager
     * @param ConsultaOperadorSAASRepository $consultaOperadorSAASRepository
     */
    public function __construct(EntityManager $entityManager, ConsultaOperadorSAASRepository $consultaOperadorSAASRepository)
    {
        $this->entityManager = $entityManager;
        $this->consultaOperadorSAASRepository = $consultaOperadorSAASRepository;
    }

    public function findOrganization()
    {
        return $this->consultaOperadorSAASRepository->findOrganization();
    }

    public function getOperadorSAAS()
    {
        return $this->consultaOperadorSAASRepository->getOperadorSAAS();
    }
}