create or replace PROCEDURE SDX_IMPORTA_FILIAL
IS
   --GERAL/TABELA INTEGRACAO
   V_NRINSJURCLIE        CLIENTE.NRINSJURCLIE%TYPE;
   V_CDPAIS              PAIS.CDPAIS%TYPE;
   V_CDPAIS_BP           PAIS.CDPAIS%TYPE;
   V_SGESTADO            ESTADO.SGESTADO%TYPE;
   V_SGESTADO_BP         ESTADO.SGESTADO%TYPE;
   V_CDMUNCIPIO          MUNICIPIO.CDMUNICIPIO%TYPE;
   V_CDMUNCIPIO_BP       MUNICIPIO.CDMUNICIPIO%TYPE;
   V_CDBAIRRO		      BAIRRO.CDBAIRRO%TYPE;
   V_CDBAIRRO_BP         BAIRRO.CDBAIRRO%TYPE;
   V_CDFILIALEXT         FILIAL.CDFILIALEXT%TYPE;
   V_CDEMPRESA           EMPRESA.CDEMPRESA%TYPE;
   V_CDFILIAL            FILIAL.CDFILIAL%TYPE;
   V_CODLETRA            VARCHAR2(2);
   V_ERRO 			      NUMBER;
   P_MENSAGEMERRO		  VARCHAR2(5000);
   V_NUMINI              NUMBER;

   --VARIAVEIS LOCAIS
   V_EXISTEBAIRRO        NUMBER;
   V_JACADASTRADO        NUMBER;
   V_JARELACIONADO       NUMBER;
   V_EXISTECLIENFILI     NUMBER;
   V_EXISTECDINSCESTA    NUMBER;

   P_MAXSEQUENCIAL       NUMBER;

   V_CDGRUPOPERACESS     OPERADOR.CDOPERADOR%TYPE;   

   CURSOR C_FILIAIS IS
      SELECT NUMREGINT, COD_UNIDADE_SAP AS CDFILIALEXT, DES_UNIDADE AS NMFILIAL, DES_RAZAO_SOCIAL AS NMRAZSOCFILI, NUM_CGC_UNIDADE AS NRINSJURID_BP, COD_EMP_SAP AS CDEXTERNOEMPR, NUM_INSC_EST AS CDINSCESTA_BP,
         DECODE(NVL(NUM_INSC_MUN, 'ISENTO'), '0', 'ISENTO', NVL(NUM_INSC_MUN, 'ISENTO')) AS CDINSCMUNI_BP, DES_ENDERECO_ENT AS DSENDERECO_BP, CDPAIS_BP , SGESTADO_BP, COD_IBGE_ENT AS CDMUNCIPIO_BP, NUM_CEP_ENT AS CDCEP_BP,
         DES_BAIRRO_ENT AS NMBAIRRO_BP, DES_EMAIL AS EMAIL, NUM_CGC_FAT AS NRINSJURIEST, DES_ENDERECO_FAT AS DSENDERECO, CDPAIS, SGESTADO,
         COD_IBGE_FAT, DES_BAIRRO_FAT AS NMBAIRRO, NUM_CEP_FAT AS NRCEPIEST, CODRETORNO,  DTA_INCLUSAO, DTA_IMPORTACAO, (CASE WHEN LENGTH(NUM_CGC_UNIDADE) = 14 THEN 'J'
                   WHEN LENGTH(NUM_CGC_UNIDADE) = 11  THEN 'F'
                   WHEN LENGTH(NUM_CGC_UNIDADE) < 11  THEN 'O'
                   WHEN LENGTH(NUM_CGC_UNIDADE) BETWEEN 12 AND 13 THEN 'I'
                  END) AS IDTPIJURFILI,
                  (CASE WHEN LENGTH(NUM_CGC_FAT) = 14 THEN 'J'
                   WHEN LENGTH(NUM_CGC_FAT) = 11  THEN 'F'
                   WHEN LENGTH(NUM_CGC_FAT) < 11  THEN 'O'
                   WHEN LENGTH(NUM_CGC_FAT) BETWEEN 12 AND 13 THEN 'I'
                  END) AS IDTPIJURIEST
        FROM SDX_ZMBRBR_0776_UNID
       WHERE CODRETORNO = 1
         AND TRUNC(DTA_INCLUSAO) BETWEEN (SYSDATE - INTERVAL '30' DAY) AND SYSDATE
         AND NUMREGINT > P_MAXSEQUENCIAL;
BEGIN
   SELECT NVL(MAX(NUMREGINT), 0)
     INTO P_MAXSEQUENCIAL
     FROM SDX_SAP_UNIDADES
    WHERE TRUNC(DTA_IMPORTACAO) BETWEEN (SYSDATE - INTERVAL '30' DAY) AND SYSDATE;

   FOR C_FILIAL IN C_FILIAIS
   LOOP
      V_ERRO := 2;
      P_MENSAGEMERRO := NULL;

      BEGIN --BLOCO 1 LOCALIDADES E (INSCRIÇÃO ESTADUAL)
         IF (C_FILIAL.CDINSCMUNI_BP IS NULL) THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'Incrição Municipal não informada.';
            GOTO ERROR_HANDLER;
         END IF;

         BEGIN
            SELECT CDPAIS INTO V_CDPAIS FROM PAIS WHERE SGPAIS = C_FILIAL.CDPAIS;
            EXCEPTION WHEN NO_DATA_FOUND THEN

            V_ERRO := 3;
            P_MENSAGEMERRO := 'País informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT SGESTADO INTO V_SGESTADO FROM ESTADO WHERE CDPAIS = V_CDPAIS AND SGESTADO = C_FILIAL.SGESTADO;
            EXCEPTION WHEN NO_DATA_FOUND THEN

            V_ERRO := 3;
            P_MENSAGEMERRO := 'Estado informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT CDMUNICIPIO INTO V_CDMUNCIPIO FROM MUNICIPIO WHERE CDMUNICIBGE = C_FILIAL.COD_IBGE_FAT AND SGESTADO = V_SGESTADO AND CDPAIS = V_CDPAIS;
            EXCEPTION WHEN NO_DATA_FOUND THEN

            V_ERRO := 3;
            P_MENSAGEMERRO := 'Município informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT COUNT(CDBAIRRO) INTO V_EXISTEBAIRRO FROM BAIRRO WHERE CDPAIS = V_CDPAIS AND SGESTADO = V_SGESTADO AND CDMUNICIPIO = V_CDMUNCIPIO AND NMBAIRRO = C_FILIAL.NMBAIRRO;
            EXCEPTION WHEN NO_DATA_FOUND THEN

            V_ERRO := 3;
            P_MENSAGEMERRO := 'COUNT(CDBAIRRO) INTO V_EXISTEBAIRRO falhou.';
            GOTO ERROR_HANDLER;
         END;

         IF(V_EXISTEBAIRRO = 0) THEN
            BEGIN
               SELECT LPAD(NVL(MAX(TO_NUMBER(CDBAIRRO)),0)+2, 10, 0) INTO V_CDBAIRRO FROM BAIRRO;
            EXCEPTION WHEN NO_DATA_FOUND THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'LPAD(NVL(MAX(TO_NUMBER(CDBAIRRO) falhou.';
               GOTO ERROR_HANDLER;
            END;

            INSERT INTO BAIRRO
               (CDPAIS, SGESTADO, CDMUNICIPIO, CDBAIRRO, NMBAIRRO)
            VALUES
               (V_CDPAIS, V_SGESTADO, V_CDMUNCIPIO, V_CDBAIRRO, C_FILIAL.NMBAIRRO);

            COMMIT;
         ELSE
            BEGIN
               SELECT CDBAIRRO INTO V_CDBAIRRO FROM BAIRRO WHERE CDPAIS = V_CDPAIS AND SGESTADO = V_SGESTADO AND CDMUNICIPIO = V_CDMUNCIPIO AND NMBAIRRO = C_FILIAL.NMBAIRRO;
            EXCEPTION WHEN NO_DATA_FOUND THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'ELSE SELECT CDBAIRRO INTO V_CDBAIRRO falhou.';
               GOTO ERROR_HANDLER;
            END;
         END IF;

         --BLOCO LOCALIDADE BUSINESS PLACE (FILIAL)
         BEGIN
            SELECT CDPAIS INTO V_CDPAIS_BP FROM PAIS WHERE SGPAIS = C_FILIAL.CDPAIS_BP;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'País BP informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT SGESTADO INTO V_SGESTADO_BP FROM ESTADO WHERE CDPAIS = V_CDPAIS_BP AND SGESTADO = C_FILIAL.SGESTADO_BP;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'Estado BP informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT CDMUNICIPIO INTO V_CDMUNCIPIO_BP FROM MUNICIPIO WHERE CDMUNICIBGE = C_FILIAL.CDMUNCIPIO_BP AND SGESTADO = V_SGESTADO_BP AND CDPAIS = V_CDPAIS_BP;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'Município BP informado não cadastrado.';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT COUNT(CDBAIRRO) INTO V_EXISTEBAIRRO FROM BAIRRO WHERE CDPAIS = V_CDPAIS_BP AND SGESTADO = V_SGESTADO_BP AND CDMUNICIPIO = V_CDMUNCIPIO_BP AND NMBAIRRO = C_FILIAL.NMBAIRRO_BP;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'COUNT(CDBAIRRO) INTO V_EXISTEBAIRRO BP falhou';
            GOTO ERROR_HANDLER;
         END;

         IF(V_EXISTEBAIRRO = 0) THEN
            BEGIN
               SELECT LPAD(NVL(MAX(TO_NUMBER(CDBAIRRO)),0)+2, 10, 0) INTO V_CDBAIRRO_BP FROM BAIRRO;
            EXCEPTION WHEN NO_DATA_FOUND THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'LPAD(NVL(MAX(TO_NUMBER(CDBAIRRO) falhou';
               GOTO ERROR_HANDLER;
            END;

            INSERT INTO BAIRRO
               (CDPAIS, SGESTADO, CDMUNICIPIO, CDBAIRRO, NMBAIRRO)
            VALUES
               (V_CDPAIS_BP, V_SGESTADO_BP, V_CDMUNCIPIO_BP, V_CDBAIRRO_BP, C_FILIAL.NMBAIRRO_BP);

            COMMIT;
         ELSE
            BEGIN
               SELECT CDBAIRRO INTO V_CDBAIRRO_BP FROM BAIRRO WHERE CDPAIS = V_CDPAIS_BP AND SGESTADO = V_SGESTADO_BP AND CDMUNICIPIO = V_CDMUNCIPIO_BP AND NMBAIRRO = C_FILIAL.NMBAIRRO_BP;
            EXCEPTION WHEN NO_DATA_FOUND THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'SELECT CDBAIRRO INTO V_CDBAIRRO_BP falhou';
               GOTO ERROR_HANDLER;
            END;
         END IF;

         --Transformar letra em numero CONVERSCODEXFIL

         BEGIN
            SELECT SUBSTR(CDCODEXTINI, 1, 2) INTO V_CODLETRA FROM CONVERSCODEXFIL WHERE CDLETRACORR = SUBSTR(C_FILIAL.CDFILIALEXT, 1, 1);
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'Letra da conversão código filial não foi enctrado no cadastro';
            GOTO ERROR_HANDLER;
         END;

         V_CDFILIALEXT := V_CODLETRA||SUBSTR(C_FILIAL.CDFILIALEXT, 2, 4);

         BEGIN
            SELECT CDEMPRESA INTO V_CDEMPRESA FROM EMPRESA WHERE CDEXTERNO = C_FILIAL.CDEXTERNOEMPR;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'SELECT CDEMPRESA INTO V_CDEMPRESA';
            GOTO ERROR_HANDLER;
         END;

         BEGIN
            SELECT COUNT(CDINSCESTA) INTO V_EXISTECDINSCESTA FROM INSCRESTAD WHERE CDEMPRESA = V_CDEMPRESA AND CDINSCESTA = C_FILIAL.CDINSCESTA_BP;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_ERRO := 3;
            P_MENSAGEMERRO := 'SELECT COUNT(CDINSCESTA) INTO V_EXISTECDINSCESTA';
            GOTO ERROR_HANDLER;
         END;

         IF (V_EXISTECDINSCESTA = 0) THEN
            INSERT INTO INSCRESTAD
               (CDEMPRESA, CDINSCESTA, IDTPIJURIEST, NRINSJURIEST, CDPAIS,
                SGESTADO, CDMUNICIPIO, DSENDEIEST, NMBAIRIEST, NRCEPIEST,
                CDCSTDIG1SAI, CDBAIRRO, IDAPURLUCPRE, IDUTCARGATRIB, IDUTSERECFNF,
                IDUTNRCUPOMNF, VRALIQTOTALSAIDA,VRALIQIMPOSREC, IDOUTCREDDEB, IDCREDDEBNORM,
                IDCALCESTCRED, IDSUGREGSTENTR, IDCONSVRBCREDZ, IDCOMPARQXMLIE, IDPRESTSERVTRANSP,
                IDCALCDIFENTFISC, IDDIFERICMSANT, IDREALIESTAPUR, IDUTSUBAPURCP, IDINDICSUBAPURCP,
                IDREALIESTAPURCRED,IDNCONSPFCREDPRES )
            VALUES
               (V_CDEMPRESA, C_FILIAL.CDINSCESTA_BP, C_FILIAL.IDTPIJURIEST, C_FILIAL.NRINSJURIEST, V_CDPAIS,
                V_SGESTADO, V_CDMUNCIPIO, C_FILIAL.DSENDERECO, C_FILIAL.NMBAIRRO, C_FILIAL.NRCEPIEST,
                '0', V_CDBAIRRO,  'N', 'N', 'N',
                'N', 0, 0, 'N', 'N',
                'N', 'S', 'A', 'S', 'N',
                'N', 'N', 'N', 'N', '3',
                'N', 'N');

            COMMIT;
         ELSE
            -- IMPLEMENTAR O UPDATE DE ENDEREÇO INSCRIÇÃO ESTADUAL AQUI
            UPDATE INSCRESTAD
               SET CDPAIS      = V_CDPAIS,
                   SGESTADO    = V_SGESTADO,
                   CDMUNICIPIO = V_CDMUNCIPIO,
                   DSENDEIEST  = C_FILIAL.DSENDERECO,
                   NMBAIRIEST  = C_FILIAL.NMBAIRRO,
                   NRCEPIEST   = C_FILIAL.NRCEPIEST,
                   CDBAIRRO    = V_CDBAIRRO
             WHERE CDEMPRESA   = V_CDEMPRESA
               AND CDINSCESTA  = C_FILIAL.CDINSCESTA_BP;
         END IF;

      EXCEPTION WHEN OTHERS THEN
         V_ERRO := 3;
         P_MENSAGEMERRO := SQLERRM(SQLCODE);
         GOTO ERROR_HANDLER;
      END; -- FIM DO BLOCO 1 LOCALIDADES E INSCRIÇÃO ESTADUAL

      BEGIN -- BLOCO 2 CADASTRO DA FILIAL E TABELAS FILHAS
         BEGIN
            SELECT CDFILIAL INTO V_CDFILIAL FROM FILIAL WHERE CDFILIALEXT = V_CDFILIALEXT;
         EXCEPTION WHEN NO_DATA_FOUND THEN
            V_CDFILIAL := NULL;
         END;

         IF ( V_CDFILIAL IS NULL ) THEN
            BEGIN
               SELECT CDEMPINTEGRACAO INTO V_NUMINI FROM PARAMEMPRESA WHERE CDEMPRESA = V_CDEMPRESA;
            EXCEPTION WHEN NO_DATA_FOUND THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'Empresa informada sem parametrização de codigo inicial para filial.';
               GOTO ERROR_HANDLER;
            END;

            IF (V_NUMINI IS NULL) THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'Empresa informada sem parametrização de codigo inicial para filial.';
               GOTO ERROR_HANDLER;
            END IF;

            BEGIN
               BEGIN
                  SELECT V_NUMINI INTO V_CDFILIAL FROM DUAL WHERE NOT EXISTS (SELECT 1 FROM FILIAL WHERE CDFILIAL = V_NUMINI);
               EXCEPTION WHEN NO_DATA_FOUND THEN
                  V_CDFILIAL := NULL;
               END;

               IF( V_CDFILIAL IS NULL ) THEN
                  SELECT MIN(CDFILIAL) +1 INTO V_CDFILIAL FROM FILIAL A
                   WHERE CDFILIAL >= V_NUMINI
                     AND NOT EXISTS (SELECT 1 from FILIAL B
                                      WHERE B.CDFILIAL = (A.CDFILIAL+1));
               END IF;
            EXCEPTION WHEN OTHERS THEN
               V_ERRO := 3;
               P_MENSAGEMERRO := 'SELECT V_NUMINI INTO V_CDFILIAL '||SQLERRM(SQLCODE);
               GOTO ERROR_HANDLER;
            END;

            INSERT INTO FILIAL
               (CDFILIAL, NMFILIAL, NMRAZSOCFILI, IDTPIJURFILI,
                NRINSJURFILI, CDINSCESTA, CDINSCMUNI, CDEMPRESA, CDFILIALEXT, NMCOMPRZSFIL )
            VALUES
               (V_CDFILIAL, NVL(C_FILIAL.NMFILIAL, C_FILIAL.NMRAZSOCFILI)||' ('||V_CDFILIALEXT||')', NVL(C_FILIAL.NMRAZSOCFILI, C_FILIAL.NMFILIAL), C_FILIAL.IDTPIJURFILI,
                C_FILIAL.NRINSJURID_BP, C_FILIAL.CDINSCESTA_BP, C_FILIAL.CDINSCMUNI_BP, V_CDEMPRESA, V_CDFILIALEXT, NVL(C_FILIAL.NMFILIAL, C_FILIAL.NMRAZSOCFILI)||' ('||V_CDFILIALEXT||')' );

            INSERT INTO ENDEFILI
               (CDFILIAL, IDTPENDEFILI, SGESTADO, CDMUNICIPIO, CDBAIRRO, DSENDEFILI, DSENDEFILISEP, NRCEPFILI,
                CDPAIS, NMBAIRFILI)
            VALUES
               (V_CDFILIAL, 'P', V_SGESTADO_BP, V_CDMUNCIPIO_BP, V_CDBAIRRO_BP, C_FILIAL.DSENDERECO_BP, C_FILIAL.DSENDERECO_BP, C_FILIAL.CDCEP_BP,
                V_CDPAIS_BP, C_FILIAL.NMBAIRRO_BP);

            INSERT INTO ALMOXARIFADO
               (CDFILIAL, CDALMOXARIFE, DSALMOXARIFE)
               (SELECT V_CDFILIAL, ' ',' '
                  FROM PARAMGERAL
                 MINUS
                SELECT CDFILIAL, CDALMOXARIFE, DSALMOXARIFE
                  FROM ALMOXARIFADO
                 WHERE CDFILIAL     = V_CDFILIAL
                   AND CDALMOXARIFE = ' ');

            INSERT INTO LOCALESTOQUE
               (CDFILIAL, CDALMOXARIFE, CDLOCALESTOQ, DSLOCALESTOQ)
               (SELECT V_CDFILIAL, ' ', ' ', ' '
                  FROM PARAMGERAL
                 MINUS
                SELECT CDFILIAL, CDALMOXARIFE, CDLOCALESTOQ, DSLOCALESTOQ
                  FROM LOCALESTOQUE
                 WHERE CDFILIAL = V_CDFILIAL
                   AND CDALMOXARIFE = ' ');

            INSERT INTO PARAMFILIPADR
               (CDFILIAL, NMTABPARAMFILI)
               (SELECT V_CDFILIAL, NMTABPARAMFILI
                  FROM (SELECT 'ALMOXARIFADO' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'LOCALESTOQUE' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'PARAMFILIAL' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'PARAMPEDIDO' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'PARAMPLANEJA' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'PARCMPSUP' AS NMTABPARAMFILI
                          FROM DUAL
                         UNION
                        SELECT 'PAREXPEDICAO' AS NMTABPARAMFILI
                          FROM DUAL) A
                  WHERE NOT EXISTS (SELECT 1
                                      FROM PARAMFILIPADR PF
                                     WHERE PF.CDFILIAL       = V_CDFILIAL
                                       AND PF.NMTABPARAMFILI = A.NMTABPARAMFILI));

            INSERT INTO PARAMFILIAL
               (CDFILIAL,IDCTRLESTQ)
            VALUES
               (V_CDFILIAL, 'N');

            SELECT
               CDGRUPOPER INTO V_CDGRUPOPERACESS
            FROM
               AUTGRUPOP
            WHERE
                IDAUTGRUPOP = 'ACTF' AND
                NRAUTGRUPOP = '001';
            
            IF V_CDGRUPOPERACESS IS NOT NULL THEN
                INSERT INTO FILIOPER
                (CDOPERADOR, CDFILIAL)
                (SELECT CDOPERADOR, CDFILIAL
                 FROM OPERGRUPOP, FILIAL
                 WHERE
                    CDGRUPOPER = V_CDGRUPOPERACESS AND 
                    CDFILIAL = V_CDFILIAL);
            END IF;
         ELSE -- V_JACADASTRADO = 0
            UPDATE FILIAL
               SET NMFILIAL = NVL(C_FILIAL.NMFILIAL, C_FILIAL.NMRAZSOCFILI)||' ('||V_CDFILIALEXT||')',
                   NMRAZSOCFILI = NVL(C_FILIAL.NMRAZSOCFILI, C_FILIAL.NMFILIAL),
                   NRINSJURFILI = C_FILIAL.NRINSJURID_BP,
                   CDINSCESTA = C_FILIAL.CDINSCESTA_BP,
                   CDINSCMUNI = C_FILIAL.CDINSCMUNI_BP,
                   CDEMPRESA = V_CDEMPRESA,
                   NMCOMPRZSFIL = NVL(C_FILIAL.NMFILIAL, C_FILIAL.NMRAZSOCFILI)||' ('||V_CDFILIALEXT||')'
             WHERE CDFILIAL = V_CDFILIAL;

            UPDATE ENDEFILI
               SET SGESTADO = V_SGESTADO_BP,
                   CDMUNICIPIO = V_CDMUNCIPIO_BP,
                   CDBAIRRO = V_CDBAIRRO_BP,
                   DSENDEFILI = C_FILIAL.DSENDERECO_BP,
                   DSENDEFILISEP = C_FILIAL.DSENDERECO_BP,
                   NRCEPFILI = C_FILIAL.CDCEP_BP,
                   CDPAIS = V_CDPAIS_BP,
                   NMBAIRFILI = C_FILIAL.NMBAIRRO_BP
             WHERE IDTPENDEFILI = 'P'
               AND CDFILIAL = V_CDFILIAL;

         END IF; -- V_JACADASTRADO = 0
      EXCEPTION WHEN OTHERS THEN
         V_ERRO :=  3;
         P_MENSAGEMERRO := SQLERRM(SQLCODE);
      END; --BLOCO2 CADASTRO DE FILIAIS E TABELAS FILHAS

      <<ERROR_HANDLER>>
      IF (V_ERRO = 3) THEN
         ROLLBACK;
      END IF;

      INSERT INTO SDX_SAP_UNIDADES (
         NUMREGINT, CDFILIAL, COD_UNIDADE_SAP, DES_UNIDADE, DES_RAZAO_SOCIAL,
         NUM_CGC_UNIDADE, CDEMPRESA, COD_EMP_SAP, NUM_INSC_EST, NUM_INSC_MUN,
         DES_ENDERECO_ENT, CDPAIS_BP, SGESTADO_BP, COD_IBGE_ENT, NUM_CEP_ENT,
         DES_BAIRRO_ENT, DES_EMAIL, NUM_CGC_FAT, DES_ENDERECO_FAT, CDPAIS,
         SGESTADO, COD_IBGE_FAT, DES_BAIRRO_FAT, NUM_CEP_FAT, TXT_ERRO,
         CODRETORNO, DTA_INCLUSAO, DTA_IMPORTACAO)
      VALUES (
         C_FILIAL.NUMREGINT, V_CDFILIAL, C_FILIAL.CDFILIALEXT, C_FILIAL.NMFILIAL, C_FILIAL.NMRAZSOCFILI,
         C_FILIAL.NRINSJURID_BP, V_CDEMPRESA, C_FILIAL.CDEXTERNOEMPR, C_FILIAL.CDINSCESTA_BP, C_FILIAL.CDINSCMUNI_BP,
         C_FILIAL.DSENDERECO_BP, C_FILIAL.CDPAIS_BP , C_FILIAL.SGESTADO_BP, C_FILIAL.CDMUNCIPIO_BP, C_FILIAL.CDCEP_BP,
         C_FILIAL.NMBAIRRO_BP, C_FILIAL.EMAIL, C_FILIAL.NRINSJURIEST, C_FILIAL.DSENDERECO, C_FILIAL.CDPAIS,
         C_FILIAL.SGESTADO, C_FILIAL.COD_IBGE_FAT, C_FILIAL.NMBAIRRO, C_FILIAL.NRCEPIEST, P_MENSAGEMERRO,
         V_ERRO, C_FILIAL.DTA_INCLUSAO, SYSDATE);

      COMMIT;
   END LOOP;
END;
/

-- VERSAO --
BEGIN ATUVEROBJ('SDX_IMPORTA_FILIAL','6.49.077'); END;
/
