import { OmDialogService } from '@/services/OmDialogService';
import { AlertService, LoadingService } from '@zeedhi/common';
import { Http } from '@zeedhi/core';

export class CallCategoryControll {
    public async saveAssuntoGrid(params: any) {
        LoadingService.show();
        params.event.preventDefault();
        try {
            const assunto = { assunto: params.component.getEditedRows() };
            await Http.post('/saveAssuntoGrid', assunto);
            AlertService.show({
                name: 'successSaveModal',
                color: 'green',
                showDismiss: true,
                timeout: 3000,
                bottom: true,
                left: true,
                text: 'Salvo com sucesso!',
            });
            params.component.cancelEditedRows();
            params.component.reload();
			params.component.datasource.get();
            LoadingService.hide();
        } catch (e) {
			OmDialogService.showErrorBackend(e);
            LoadingService.hide();
		}
    }
 }
